Package com.independentsoft.office.spreadsheet.drawing

# Class TwoCellAnchor

java.lang.Object
com.independentsoft.office.spreadsheet.drawing.Anchor
com.independentsoft.office.spreadsheet.drawing.TwoCellAnchor

public class TwoCellAnchor extends Anchor
The Class TwoCellAnchor.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.spreadsheet.drawing.Anchor

  `clientData, element`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TwoCellAnchor()`
  Instantiates a new two cell anchor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TwoCellAnchor`
  `clone()`
  `EditAs`
  `getEditAs()`
  Gets the edits the as.
  `EndAnchorPoint`
  `getEnd()`
  Gets the end.
  `StartAnchorPoint`
  `getStart()`
  Gets the start.
  `void`
  `setEditAs​(EditAs editAs)`
  Sets the edits the as.
  `void`
  `setEnd​(EndAnchorPoint end)`
  Sets the end.
  `void`
  `setStart​(StartAnchorPoint start)`
  Sets the start.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.spreadsheet.drawing.Anchor

  `getClientData, getElement, setClientData, setElement`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TwoCellAnchor

    public TwoCellAnchor()
    Instantiates a new two cell anchor.

- ## Method Details

  - ### clone

    public TwoCellAnchor clone()
    Specified by:
      `clone` in class `Anchor`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEditAs

    public EditAs getEditAs()
    Gets the edits the as.
    Returns:
      the edits the as

  - ### setEditAs

    public void setEditAs​(EditAs editAs)
    Sets the edits the as.
    Parameters:
      `editAs` - the new edits the as

  - ### getStart

    public StartAnchorPoint getStart()
    Gets the start.
    Returns:
      the start

  - ### setStart

    public void setStart​(StartAnchorPoint start)
    Sets the start.
    Parameters:
      `start` - the new start

  - ### getEnd

    public EndAnchorPoint getEnd()
    Gets the end.
    Returns:
      the end

  - ### setEnd

    public void setEnd​(EndAnchorPoint end)
    Sets the end.
    Parameters:
      `end` - the new end